[tool.poetry]
name = "finale-app-backend"
version = "0.1.0"
description = "FinaleApp backend server"
authors = ["Dorian Péron <dorianperon.i@gmail.com>"]
license = "AGPL-3.0"
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
asgiref = "3.6.0"
dj-database-url = "2.0.0"
Django = "3.2.5"
django-cron = "0.6.0"
django-crontab = "0.7.1"
psycopg2-binary = "2.9.6"
pytz = "2023.3"
sqlparse = "0.4.4"
typing-extensions = "4.5.0"
whitenoise = "6.4.0"

[tool.poetry.group.dev.dependencies]
pre-commit = "*"
ruff = "*"

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"

[tool.ruff]
target-version = "py310"
exclude = [
    ".venv",
    "migrations",
    ".ipython_config.py",
    "import_from_legacy_website.py",
]
line-length = 79

[tool.ruff.lint]
select = ["E4", "E7", "E9", "F", "B", "I", "DJ"]
ignore = ["DJ001"]                               # Ignore the "dont use null on TextFields

[tool.ruff.lint.per-file-ignores]
"gccsite/settings/*" = ["F403", "F405"] # Remove expected "import *" errors

[tool.ruff.format]
quote-style = "double"
indent-style = "space"
skip-magic-trailing-comma = false
line-ending = "auto"
